Skip to main content
POST
/
graphql#ListAccountWarehouses
List account warehouses
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListAccountWarehouses' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: AccountWarehouseFilterType) { account_warehouses { all(filter: $filter) { edges { node { id account_id warehouse_id account { id code name } warehouse { id code name } } } } } }"
}
'
{
  "data": {
    "account_warehouses": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "1",
              "account_id": 1,
              "account": {
                "id": "1",
                "code": "ACME",
                "name": "Acme Corporation"
              },
              "warehouse_id": 1,
              "warehouse": {
                "id": "1",
                "code": "WH1",
                "name": "Main Warehouse"
              }
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: AccountWarehouseFilterType) {
  account_warehouses {
    all(filter: $filter) {
      edges {
        node {
          id
          account_id
          warehouse_id
          account {
            id
            code
            name
          }
          warehouse {
            id
            code
            name
          }
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators:
{
  "filter": {
    "account_id": {
      "eq": "1"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
account_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by account ID
warehouse_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by warehouse ID

Filter Operators

Input TypeOperators
StringInputTypeeq (exact), ilike (case-insensitive partial), like (case-sensitive partial), in (array match), between (range)
IntegerInputTypeeq, gt, gteq, lt, lteq, between
DatetimeInputTypeeq, from, to, between
BooleanInputTypeeq (required)
IdInputTypeeq, gt, gteq, lt, lteq, in, filled
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: AccountWarehouseFilterType) { account_warehouses { all(filter: $filter) { edges { node { id account_id warehouse_id account { id code name } warehouse { id code name } } } } } }"

variables
object

Query variables including the filter object

Example:
{ "filter": { "account_id": { "eq": "1" } } }

Response

Successful GraphQL response

data
object

Query result data

errors
object[]

GraphQL errors, if any